VTK: vtkBase64OutputStream Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkBase64OutputStream Class Reference

Writes base64-encoded output to a stream. More...

`#include <vtkBase64OutputStream.h>`

Inheritance diagram for vtkBase64OutputStream:
[legend]
Collaboration diagram for vtkBase64OutputStream:
[legend]

## Public Types
typedef vtkOutputStream | Superclass
Public Types inherited from vtkOutputStream
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkBase64OutputStream * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
int | StartWriting () override
| Called after the stream position has been set by the caller, but before any Write calls. More...
int | Write (void const *data, size_t length) override
| Write output data of the given length. More...
int | EndWriting () override
| Called after all desired calls to Write have been made. More...
Public Member Functions inherited from vtkOutputStream
vtkOutputStream * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | SetStream (ostream *)
| Get/Set the real output stream. More...
virtual ostream * | GetStream ()
| Get/Set the real output stream. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkBase64OutputStream * | SafeDownCast (vtkObjectBase *o)
static vtkBase64OutputStream * | New ()
Static Public Member Functions inherited from vtkOutputStream
static vtkTypeBool | IsTypeOf (const char *type)
static vtkOutputStream * | SafeDownCast (vtkObjectBase *o)
static vtkOutputStream * | New ()
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkBase64OutputStream ()
| ~vtkBase64OutputStream () override
int | EncodeTriplet (unsigned char c0, unsigned char c1, unsigned char c2)
int | EncodeEnding (unsigned char c0, unsigned char c1)
int | EncodeEnding (unsigned char c0)
Protected Member Functions inherited from vtkOutputStream
| vtkOutputStream ()
| ~vtkOutputStream () override
int | WriteStream (const char *data, size_t length)
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
unsigned int | BufferLength
unsigned char | Buffer [2]
Protected Attributes inherited from vtkOutputStream
ostream * | Stream
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Writes base64-encoded output to a stream.

vtkBase64OutputStream implements base64 encoding with the vtkOutputStream interface.

Definition at line 18 of file vtkBase64OutputStream.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkOutputStream vtkBase64OutputStream::Superclass

Definition at line 21 of file vtkBase64OutputStream.h.

## Constructor & Destructor Documentation

## ◆ vtkBase64OutputStream()

vtkBase64OutputStream::vtkBase64OutputStream | ( |  | ) |
| protected

## ◆ ~vtkBase64OutputStream()

vtkBase64OutputStream::~vtkBase64OutputStream | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkBase64OutputStream::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkBase64OutputStream::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkOutputStream.

## ◆ SafeDownCast()

static vtkBase64OutputStream* vtkBase64OutputStream::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkBase64OutputStream::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkOutputStream.

## ◆ NewInstance()

vtkBase64OutputStream* vtkBase64OutputStream::NewInstance | ( |  | ) | const

## ◆ New()

static vtkBase64OutputStream* vtkBase64OutputStream::New | ( |  | ) |
| static

## ◆ PrintSelf()

void vtkBase64OutputStream::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ StartWriting()

int vtkBase64OutputStream::StartWriting | ( |  | ) |
| overridevirtual

Called after the stream position has been set by the caller, but before any Write calls.

The stream position should not be adjusted by the caller until after an EndWriting call.

Reimplemented from vtkOutputStream.

## ◆ Write()

int vtkBase64OutputStream::Write | ( | void const * | data,
|  | size_t | length
| ) |  |
| overridevirtual

Write output data of the given length.

Reimplemented from vtkOutputStream.

## ◆ EndWriting()

int vtkBase64OutputStream::EndWriting | ( |  | ) |
| overridevirtual

Called after all desired calls to Write have been made.

After this call, the caller is free to change the position of the stream. Additional writes should not be done until after another call to StartWriting.

Reimplemented from vtkOutputStream.

## ◆ EncodeTriplet()

int vtkBase64OutputStream::EncodeTriplet | ( | unsigned char | c0,
|  | unsigned char | c1,
|  | unsigned char | c2
| ) |  |
| protected

## ◆ EncodeEnding() [1/2]

int vtkBase64OutputStream::EncodeEnding | ( | unsigned char | c0,
|  | unsigned char | c1
| ) |  |
| protected

## ◆ EncodeEnding() [2/2]

int vtkBase64OutputStream::EncodeEnding | ( | unsigned char | c0 | ) |
| protected

## Member Data Documentation

## ◆ BufferLength

unsigned int vtkBase64OutputStream::BufferLength
| protected

Definition at line 50 of file vtkBase64OutputStream.h.

## ◆ Buffer

unsigned char vtkBase64OutputStream::Buffer[2]
| protected

Definition at line 51 of file vtkBase64OutputStream.h.

The documentation for this class was generated from the following file:

- IO/Core/vtkBase64OutputStream.h